# CreatePartner

> Create a partner; body needs name and @username. Add handles with CreatePartnerSocialNetwork. Write access, partners toolset, MCP tool create_partner.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `body` | `JSON!` | yes | Object, fields below |  |

## Input types

### `body`

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `name` | string | yes | 1 to 120 characters |  |
| `username` | string | yes | 1 to 80 characters |  |
| `email` | string (email) or null | no | at most 254 characters, format email |  |
| `profile_image` | string (uri) or null | no | format uri |  |
| `trusted` | boolean | no |  |  |
| `budget` | number or null | no | 0 to 9999999999.99 |  |
| `end_date` | any or null | no |  |  |
| `status` | string | no | One of `ACTIVE`, `PAUSED`, `ARCHIVED`, `DROPPED`, `PENDING` |  |
| `utm_source` | string or null | no | at most 120 characters |  |
| `utm_medium` | string or null | no | at most 120 characters |  |
| `utm_content` | string or null | no | at most 120 characters |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"CreatePartner","variables":{"body":{"name":"Example","username":"example"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"b09a2e9b0be4118233adf55db18ce9741d165ea7a5ad8f4564fa7f890af66368"}}}'
```

## Document

```graphql
mutation CreatePartner($body: JSON!) { __typename createPartner(input: {body: $body}) { __typename partner { __typename id name rowId status username } partnerId userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/partners/create-partner
